function love.load()
	-- default state is 'waiting' for user input
	state = 'waiting'
end

function love.keypressed(key)
	-- switch to 'delay'-mode, if a key is pressed
	if state == 'waiting' then
		state = 'delay'
		timer = 1
	end
end

function love.update(dt)
	-- count down time, if in 'delay'-mode
	if state == 'delay' then
		timer = timer - dt
		if timer <= 0 then
			state = 'waiting'
		end
	end
end

function love.draw(dt)
	-- print the current state on screen.
	if state == 'waiting' then
		love.graphics.print('Press a key to start delay',100,100)
	elseif state == 'delay' then
		love.graphics.print('Delay',100,100)
	end
end


